/*
 * Unofficial EZX Native Software Development Kit
 * Copyright (C) 2006 Ketut P. Kumajaya <kumajaya@bluebottle.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * Further, this software is distributed without any warranty that it is
 * free of the rightful claim of any third person regarding infringement
 * or the like.  Any license provided herein, whether implied or
 * otherwise, applies only to this software file.  Patent licenses, if
 * any, provided herein do not apply to combinations of this program with
 * other software, or any other product whatsoever.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#if !defined(__UTIL_ANALOGCLOCK_H__)
#define __UTIL_ANALOGCLOCK_H__

#include <qwidget.h>
#include <qpixmap.h>

class UTIL_AnalogClock : public QWidget
{
    Q_OBJECT
	
public:
    UTIL_AnalogClock( QWidget *parent=0, const char *name=0 );
    UTIL_AnalogClock( const QPixmap &, QWidget *parent=0, const char *name=0 );
    ~UTIL_AnalogClock();

    QSize	sizeHint() const;
    void	display( const QTime & );
    void	rotate( QPoint, QPoint, int );

    virtual bool sendPackage();

public slots:

protected:
    void	drawContents(QPainter *);

private:

private:	// Disabled copy constructor and operator=
#if defined(Q_DISABLE_COPY)
    UTIL_AnalogClock( const UTIL_AnalogClock & );
    UTIL_AnalogClock &operator=( const UTIL_AnalogClock & );
#endif
};

#endif // __UTIL_ANALOGCLOCK_H__
